Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/RequestPrint/FrmRequestPrint.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/RequestPrint/FrmRequestPrint.cs	(nonexistent)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/RequestPrint/FrmRequestPrint.cs	(revision 369)
@@ -0,0 +1,465 @@
+﻿using System;
+using System.Collections;
+using System.Collections.Generic;
+using System.ComponentModel;
+using System.Data;
+using System.Drawing;
+using System.Linq;
+using System.Text;
+using System.Windows.Forms;
+using System.Threading.Tasks;
+
+using ProcessManagement.Common;
+using ProcessManagement.DB.IOAccess;
+using ProcessManagement.DataModel;
+using ProcessManagement.Forms.CustomControls;
+using ProcessManagement.Forms.ControlsAction;
+using ProcessManagement.Forms.SubForms;
+
+namespace ProcessManagement.Forms.DataEntry
+{
+    public partial class FrmRequestPrint : Form
+    {
+        #region ログ使用定義
+        //log4netログを使用する
+        private static readonly log4net.ILog logger = log4net.LogManager.GetLogger(System.Reflection.MethodBase.GetCurrentMethod().DeclaringType);
+        #endregion
+
+        #region 定数
+        private enum Dispcount
+        {
+            ExeCuteDate = 0,
+            radioButtonA1,
+            radioButtonA2,
+            radioButtonB1,
+            radioButtonB2,
+            radioButtonC1,
+            radioButtonC2,
+        }
+        #endregion
+
+        #region 変数
+
+        // ユーザー情報
+        private ClsSecurityPermission.UserInfo m_UserInfo = new ClsSecurityPermission.UserInfo()
+        {
+            m_Type = CommonDefine.SecurityRankPos.NormalAuthority,
+            m_GeneralAffairsFlg = (int)SecurityMaster.GeneAffDef.OtherDep,
+            m_SecRange = ClsSecurityPermission.SecRangeType.InCharge
+        };
+
+        /// <summary>
+        /// 実行時日付
+        /// </summary>
+        private DateTime m_ExcuteDate = DateTime.Now;
+        
+        /// <summary>
+        /// 日付印刷
+        /// </summary>
+        private bool m_bDatePrintFlg = true;
+        
+        /// <summary>
+        /// コンロールオブジェクト
+        /// </summary>
+        private Control[] m_dispControl = new Control[9];
+
+        /// <summary>
+        /// 工事基本情報
+        /// </summary>
+        private ConstructionBaseInfo m_ConstructionBaseInfo = new ConstructionBaseInfo();
+
+        /// <summary>
+        /// 工事基本情報明細
+        /// </summary>
+        private Dictionary<int, Dictionary<int, string>> m_DicConstructionBaseInfoDetail = new Dictionary<int, Dictionary<int, string>>();
+
+        /// <summary>
+        /// 増減工事情報
+        /// </summary>
+        private List<int> m_LstConstructionLink = new List<int>();
+
+        /// <summary>
+        /// 請求データ
+        /// </summary>
+        private RequestData m_RequestData = new RequestData();
+
+        /// <summary>
+        /// ツールチップ
+        /// </summary>
+        private ToolTip ToolTip1 = new ToolTip();
+
+        /// <summary>
+        /// 発注先名
+        /// </summary>
+        private string m_OrdersName = string.Empty;
+        
+        /// <summary>
+        /// コメントデータ
+        /// </summary>
+        private string[] m_CommentData = new string[5];
+
+        /// <summary>
+        /// 請求データ
+        /// </summary>
+        private Dictionary<int, List<RequestData>> m_dicReqData = new Dictionary<int, List<RequestData>>();
+
+        /// <summary>
+        /// 工事基本情報データ
+        /// </summary>
+        private Dictionary<int, ConstructionBaseInfo> m_dicConstructionBaseInfo = new Dictionary<int, ConstructionBaseInfo>();
+        
+        // *-----* 共通処理設定 *-----*
+        /// <summary>
+        /// サブフォームフラグ
+        /// </summary>
+        private bool m_SubForm = false;
+        /// <summary>
+        /// 呼出元終了フラグ
+        /// </summary>
+        private bool m_ParentEnd = false;
+        // *-----* 共通処理設定 *-----*
+
+        #endregion
+
+        #region プロパティ
+
+        /// <summary>
+        /// 発注先名
+        /// </summary>
+        public string OrdersName
+        {
+            get { return m_OrdersName; }
+            set { m_OrdersName = value; }
+        }
+
+        /// <summary>
+        /// 印刷日付
+        /// </summary>
+        public DateTime ExcuteDate
+        {
+            get { return m_ExcuteDate; }
+            set { m_ExcuteDate = value; }
+        }
+        /// <summary>
+        /// 日付印刷フラグ
+        /// </summary>
+        public bool DatePrintFlg
+        {
+            get { return m_bDatePrintFlg; }
+            set { m_bDatePrintFlg = value; }
+        }
+
+        /// <summary>
+        /// コメントデータ
+        /// </summary>
+        public string[] CommentData
+        {
+            get { return m_CommentData; }
+            set { m_CommentData = value; }
+        }
+
+        // *-----* 共通処理設定 *-----*
+        /// <summary>
+        /// サブフォームフラグ
+        /// </summary>
+        public bool SubForm
+        {
+            get { return m_SubForm; }
+            set { m_SubForm = value; }
+        }
+        /// <summary>
+        /// 呼出元終了フラグ
+        /// </summary>
+        public bool ParentEnd
+        {
+            get { return m_ParentEnd; }
+            set { m_ParentEnd = value; }
+        }
+
+        // *-----* 共通処理設定 *-----*        
+        
+        #endregion
+
+        #region ×ボタン
+        /// <summary>
+        /// ×ボタン押下処理
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void FrmStatusAndDate_FormClosed(object sender, FormClosedEventArgs e)
+        {
+        }
+        #endregion
+
+        #region コンストラクタ
+        /// <summary>
+        /// フォーム初期化
+        /// </summary>
+        public FrmRequestPrint()
+        {
+            InitializeComponent();
+        }
+        #endregion
+
+        #region フォームロード
+        /// <summary>
+        /// フォームロード
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void FrmCostStructureDiag_Load(object sender, EventArgs e)
+        {
+            // フォームサイズ固定
+            this.MaximizedBounds = new Rectangle(this.Left, this.Top, this.Width, this.Height);
+
+            // ユーザ権限設定
+            ClsSecurityPermission.SetUserType(m_UserInfo);
+
+            // コントロールのセット
+            SetDisplayObject();
+
+            // 初期表示
+            SetDisplayData();
+        }
+        #endregion
+
+        #region キャンセルボタン
+        /// <summary>
+        /// キャンセルボタン追加
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void btnCancel_Click(object sender, EventArgs e)
+        {
+            DialogResult = DialogResult.Cancel;
+            this.Close();
+        }
+        #endregion
+
+        #region 印刷のみボタン
+        /// <summary>
+        /// 印刷のみボタン押下
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void btnExecProc1_Click(object sender, EventArgs e)
+        {
+            try
+            {
+                // 状態確認
+                if (!StatusChange()) return;
+
+                // データを画面より取り込む
+                GetEditData();
+
+                DialogResult = DialogResult.Yes;
+
+                this.Close();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 保存のみボタン
+        /// <summary>
+        /// 保存のみボタン押下
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void btnExecProc2_Click(object sender, EventArgs e)
+        {
+            try
+            {
+                // 状態確認
+                if (!StatusChange()) return;
+
+                // データを画面より取り込む
+                GetEditData();
+
+                DialogResult = DialogResult.No;
+
+                this.Close();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region コメントを画面より取り込む
+        /// <summary>
+        /// コメントを画面より取り込む
+        /// </summary>
+        private void GetEditData()
+        {
+            try
+            {
+                // 日付印刷をしない
+                if (rdNoPrint.Checked) m_bDatePrintFlg = false;
+
+                m_OrdersName = txtOrderersName.Text;
+                m_ExcuteDate = dateTimePicker1.Value;
+
+                Array.Clear(m_CommentData, 0, m_CommentData.Length);
+                m_CommentData[0] = txtComment1.Text;
+                m_CommentData[1] = txtComment2.Text;
+                m_CommentData[2] = txtComment3.Text;
+                m_CommentData[3] = txtComment4.Text;
+                m_CommentData[4] = txtComment5.Text;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 提出時ラジオボタンチェック
+        /// <summary>
+        /// 提出日印字ラジオボタン
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void radioButton3_CheckedChanged(object sender, EventArgs e)
+        {
+            if (rdNoPrint.Checked)
+            {
+                dateTimePicker1.Visible = false;
+            }
+            else
+            {
+                dateTimePicker1.Visible = true;
+            }
+        }
+        #endregion
+
+        #region オブジェクトコントロールセット
+        /// <summary>
+        /// 表示オブジェクトの取得
+        /// </summary>
+        private void SetDisplayObject()
+        {
+            m_dispControl[(int)Dispcount.ExeCuteDate] = this.dateTimePicker1;
+            m_dispControl[(int)Dispcount.radioButtonB1] = this.rdPrint;
+            m_dispControl[(int)Dispcount.radioButtonB2] = this.rdNoPrint;
+            this.btnExecProc2.Visible = false;
+            if (m_UserInfo.m_Type == CommonDefine.SecurityRankPos.SpecialAuthority)
+            {
+                this.btnExecProc2.Visible = true;
+            }
+            if (m_UserInfo.m_Type == CommonDefine.SecurityRankPos.FreeAuthority)
+            {
+                this.btnExecProc2.Visible = true;
+            }
+
+        }
+        #endregion
+
+        #region ステータスチェック
+        /// <summary>
+        /// 工事案件の進捗状態変更の確認
+        /// </summary>
+        /// <returns></returns>
+        private bool StatusChange()
+        {
+            try
+            {
+                if (MessageBox.Show("請求書を出力します、よろしいですか？",
+                                    "出力確認",
+                                    MessageBoxButtons.OKCancel, 
+                                    MessageBoxIcon.Question) == DialogResult.Cancel)
+                {
+                    return false;
+                }
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+        }
+        
+        #endregion
+
+        #region データ表示処理
+        /// <summary>
+        /// データ表示
+        /// </summary>
+        /// <returns></returns>
+        private void SetDisplayData()
+        {
+            try
+            {
+                // データセット
+                txtOrderersName.Text = m_OrdersName;
+                dateTimePicker1.Value = m_ExcuteDate;
+
+                txtComment1.Text = m_CommentData[0];
+                txtComment2.Text = m_CommentData[1];
+                txtComment3.Text = m_CommentData[2];
+                txtComment4.Text = m_CommentData[3];
+                txtComment5.Text = m_CommentData[4];
+
+                // ToolTipの設定
+                SetToolTip();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region ToolTipの設定
+        /// <summary>
+        /// ToolTipの設定
+        /// </summary>
+        private void SetToolTip()
+        {
+            // ToolTipが表示されるまでの時間
+            ToolTip1.InitialDelay = 0;
+            // ToolTipが表示されている時に、別のToolTipを表示するまでの時間
+            ToolTip1.ReshowDelay = 1000;
+            // ToolTipを表示する時間
+            ToolTip1.AutoPopDelay = 10000;
+            // フォームがアクティブでない時はToolTipを表示しない
+            ToolTip1.ShowAlways = false;
+
+            // 文字セット
+            ToolTip1.SetToolTip(dateTimePicker1, "請求日が表示されている日付と違う場合は、変更してください。");
+            ToolTip1.SetToolTip(rdPrint, "請求日を請求書へ「印刷する」場合は、こちらを選択してください。");
+            ToolTip1.SetToolTip(rdNoPrint, "請求日を請求書へ「印刷せずに空白」で印刷する場合は、こちらを選択してください。");
+        }
+        #endregion
+
+        #region Entryキーでの移動処理
+        /// <summary>
+        /// Entryキーでの移動処理
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void FrmRequestPrint_KeyDown(object sender, KeyEventArgs e)
+        {
+            //AltかCtrlキーが押されている時は無視する
+            if (e.Alt || e.Control) return;
+
+            //Enterキーが押されているか確認
+            if (e.KeyCode == Keys.Enter)
+            {
+                //あたかもTabキーが押されたかのようにする。
+                // Shiftが押されている時は前のコントロールへフォーカスを移動
+                this.ProcessTabKey(!e.Shift);
+
+                e.Handled = true;
+                //.NET Framework 2.0以降
+                e.SuppressKeyPress = true;
+            }
+        }
+        #endregion
+    }
+}
